package com.ruoyi.ibs.grid.service;

import com.ruoyi.ibs.draw.domain.dto.grid.DrawGridAddDTO;
import com.ruoyi.ibs.grid.domain.dto.SecRegionGridDTO;
import com.ruoyi.ibs.grid.domain.dto.TopRegionGridDTO;
import com.ruoyi.ibs.grid.domain.dto.virtual.VirtualGridDTO;
import com.ruoyi.ibs.grid.domain.vo.GridRedisStateVO;
import com.ruoyi.ibs.grid.domain.vo.SecRegionGridRedisVO;

/**
 * @Author 吴凯程
 * @Date 2024/11/1
 **/
public interface GridInfoRedisService {

    String saveTopRegionGridToRedis(TopRegionGridDTO topRegionGridDTO);

    TopRegionGridDTO getTopRegionGridFromRedis();

    String saveSecRegionGridToRedis(SecRegionGridDTO secRegionGridDTO);

    SecRegionGridRedisVO getSecRegionGridFromRedis();

    String saveVirtualGridToRedis(VirtualGridDTO virtualGridDTO);

    VirtualGridDTO getVirtualGridFromRedis();

    String saveDrawGridToRedis(DrawGridAddDTO drawGridAddDTO);

    DrawGridAddDTO getDrawGridFromRedis();

    String cleanGridInfo(String gridType);

    GridRedisStateVO getUserRedisState();

}
